% Driver script for solving the 1D advection equations
Globals1D;

% Order of polymomials used for approximation 
N = 8;

% Generate simple mesh
[Nv, VX, K, EToV] = MeshGen1D(-1.0,1.0,10);

% Initialize solver and construct grid and metric
StartUp1D;

% Set initial conditions
u = sin(pi*x)
a = ones(Np,K) + 0.5*(abs(x)<=0.5);

% Solve Problem
FinalTime = 10;
[u] = Advec1DEx3(u,a,FinalTime);
